package com.rjconsultores.ventaboletos.utilerias.exportacaofiscal.vo;

import java.math.BigDecimal;

public class ExportacaoECFBase {
	private String estabelecimento;
	private String dataEmissao; 
	private String numeroIdentificacaoECF;
	private Integer cooReducaoZ;
	private Integer cooInicial;
	private Integer cooFinal;
	private Integer contadorReducao;
	private Integer cro;
	private String estabelecimentoECF;
	private String ecf;
	private String numeroSerie;
	private Integer coo;
	private String numFolioSistema;
	private String ufOrigem;
	private Integer municipioOrigem;
	private String ufDestino;
	private Integer municipioDestino;
	private BigDecimal reducaoBaseCalcICMS;
	private BigDecimal porcReducaoMunicipal;
	private BigDecimal porcReducaoEstadual;
	private BigDecimal tributacaoImportacao;
	private String infoPadraoBilhetePassagem;
	
	private Integer isenta;
	private BigDecimal valorTributado;	
	private BigDecimal valorTotal;
	
	public ExportacaoECFBase() {

	}

	public String getEstabelecimento() {
		return estabelecimento;
	}

	public void setEstabelecimento(String estabelecimento) {
		this.estabelecimento = estabelecimento;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public String getNumeroIdentificacaoECF() {
		return numeroIdentificacaoECF;
	}

	public void setNumeroIdentificacaoECF(String numeroIdentificacaoECF) {
		this.numeroIdentificacaoECF = numeroIdentificacaoECF;
	}

	public Integer getCooReducaoZ() {
		return cooReducaoZ;
	}

	public void setCooReducaoZ(Integer cooReducaoZ) {
		this.cooReducaoZ = cooReducaoZ;
	}

	public Integer getCooInicial() {
		return cooInicial;
	}

	public void setCooInicial(Integer cooInicial) {
		this.cooInicial = cooInicial;
	}

	public Integer getCooFinal() {
		return cooFinal;
	}

	public void setCooFinal(Integer cooFinal) {
		this.cooFinal = cooFinal;
	}

	public Integer getContadorReducao() {
		return contadorReducao;
	}

	public void setContadorReducao(Integer contadorReducao) {
		this.contadorReducao = contadorReducao;
	}

	public Integer getCro() {
		return cro;
	}

	public void setCro(Integer cro) {
		this.cro = cro;
	}

	public String getEstabelecimentoECF() {
		return estabelecimentoECF;
	}

	public void setEstabelecimentoECF(String estabelecimentoECF) {
		this.estabelecimentoECF = estabelecimentoECF;
	}

	public String getEcf() {
		return ecf;
	}

	public void setEcf(String ecf) {
		this.ecf = ecf;
	}

	public String getNumeroSerie() {
		return numeroSerie;
	}

	public void setNumeroSerie(String numeroSerie) {
		this.numeroSerie = numeroSerie;
	}

	public Integer getCoo() {
		return coo;
	}

	public void setCoo(Integer coo) {
		this.coo = coo;
	}

	public String getNumFolioSistema() {
		return numFolioSistema;
	}

	public void setNumFolioSistema(String numFolioSistema) {
		this.numFolioSistema = numFolioSistema;
	}

	public String getUfOrigem() {
		return ufOrigem;
	}

	public void setUfOrigem(String ufOrigem) {
		this.ufOrigem = ufOrigem;
	}

	public Integer getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(Integer municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public String getUfDestino() {
		return ufDestino;
	}

	public void setUfDestino(String ufDestino) {
		this.ufDestino = ufDestino;
	}

	public Integer getMunicipioDestino() {
		return municipioDestino;
	}

	public void setMunicipioDestino(Integer municipioDestino) {
		this.municipioDestino = municipioDestino;
	}

	public BigDecimal getReducaoBaseCalcICMS() {
		return reducaoBaseCalcICMS == null ? BigDecimal.ZERO : reducaoBaseCalcICMS;
	}

	public void setReducaoBaseCalcICMS(BigDecimal reducaoBaseCalcICMS) {
		this.reducaoBaseCalcICMS = reducaoBaseCalcICMS;
	}

	public BigDecimal getPorcReducaoMunicipal() {
		return porcReducaoMunicipal;
	}

	public void setPorcReducaoMunicipal(BigDecimal porcReducaoMunicipal) {
		this.porcReducaoMunicipal = porcReducaoMunicipal;
	}

	public BigDecimal getPorcReducaoEstadual() {
		return porcReducaoEstadual;
	}

	public void setPorcReducaoEstadual(BigDecimal porcReducaoEstadual) {
		this.porcReducaoEstadual = porcReducaoEstadual;
	}

	public BigDecimal getTributacaoImportacao() {
		return tributacaoImportacao;
	}

	public void setTributacaoImportacao(BigDecimal tributacaoImportacao) {
		this.tributacaoImportacao = tributacaoImportacao;
	}

	public String getInfoPadraoBilhetePassagem() {
		return infoPadraoBilhetePassagem;
	}

	public void setInfoPadraoBilhetePassagem(String infoPadraoBilhetePassagem) {
		this.infoPadraoBilhetePassagem = infoPadraoBilhetePassagem;
	}

	public Integer getIsenta() {
		return isenta;
	}

	public void setIsenta(Integer isenta) {
		this.isenta = isenta;
	}

	public BigDecimal getValorTributado() {
		return valorTributado;
	}

	public void setValorTributado(BigDecimal valorTributado) {
		this.valorTributado = valorTributado;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}
}
